LINUX.ORG.RU

Не запускается caffeine

 , , , ,


0

1

Сап, народ. Дистрибутив openSUSE Tumbleweed, caffeine 2.8.3-1.5 из основного репозитория. При запуске caffeine полное окно трейса:

Traceback (most recent call last):
  File "/usr/bin/caffeine", line 25, in <module>
    from gi.repository import GObject, Gtk, GLib
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
  File "/usr/lib64/python3.6/site-packages/gi/importer.py", line 145, in load_module
    importlib.import_module('gi.repository.' + dep.split("-")[0])
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
  File "/usr/lib64/python3.6/site-packages/gi/importer.py", line 145, in load_module
    importlib.import_module('gi.repository.' + dep.split("-")[0])
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
  File "/usr/lib64/python3.6/site-packages/gi/importer.py", line 146, in load_module
    dynamic_module = load_overrides(introspection_module)
  File "/usr/lib64/python3.6/site-packages/gi/overrides/__init__.py", line 125, in load_overrides
    override_mod = importlib.import_module(override_package_name)
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gdk.py", line 180, in <module>
    Gdk.EventType._2BUTTON_PRESS = getattr(Gdk.EventType, "2BUTTON_PRESS")
AttributeError: type object 'EventType' has no attribute '2BUTTON_PRESS'

При запуске caffeine-indicator то же самое

Traceback (most recent call last):
  File "/usr/bin/caffeine-indicator", line 30, in <module>
    from gi.repository import GLib, Gtk, GObject, AppIndicator3
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
  File "/usr/lib64/python3.6/site-packages/gi/importer.py", line 145, in load_module
    importlib.import_module('gi.repository.' + dep.split("-")[0])
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
  File "/usr/lib64/python3.6/site-packages/gi/importer.py", line 145, in load_module
    importlib.import_module('gi.repository.' + dep.split("-")[0])
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
  File "/usr/lib64/python3.6/site-packages/gi/importer.py", line 146, in load_module
    dynamic_module = load_overrides(introspection_module)
  File "/usr/lib64/python3.6/site-packages/gi/overrides/__init__.py", line 125, in load_overrides
    override_mod = importlib.import_module(override_package_name)
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gdk.py", line 180, in <module>
    Gdk.EventType._2BUTTON_PRESS = getattr(Gdk.EventType, "2BUTTON_PRESS")
AttributeError: type object 'EventType' has no attribute '2BUTTON_PRESS'

Сам питон не знаю, да и вообще не программист. Как можно это исправить? Питон обновлял через основной репозиторий, модули pip тоже.

В докере нет этой штуки ? выглядит как какие-то либы не сходятся, видимо GDK. Накатай разработчикам issue, если они есть на гитхабе(например)

А вообще, конечно, руки отрывать за такую сборку проектов/

Dred ★★★★★ ()
Ответ на: комментарий от Dred

А в докере будет нормально работать? Там же изолировано, а каффеину нужен доступ к окнам, чтобы определять проигрываемое видео. Ни разу не использовал этот докер. Там подобно flatpak или как-то по другому пакеты собираются?

Cyber_Hooligan ()
Ответ на: комментарий от Cyber_Hooligan

Я даже не знаю что такой этот кафеин. В докер для графики пробрасывается сокет до X-сервера, давольно тривиально, если кто-то собрал докерфайл, то должен был указать в рекомендуемом способе запуска.

Там подобно flatpak или как-то по другому пакеты собираются?

там маленький кусок линукса внутри, эдакая миниОСь в которую можно примонтировать свои директории с хоста. наверно ене стоит заморачиваться, его же нужно еще поставить и все такое. Замый нормальный вариант - писать разрабам, обычно в опенсурсе с этим нет проблем.

Dred ★★★★★ ()

Какая-то проблема в какой-то не очень давней сборке pygobject, гугл говорит ты не один такой. Правда там в основном Fedora у народа. Попробуй pip install -U pygobject.

ei-grad ★★★★★ ()
Ответ на: комментарий от ei-grad

Установлен последний (ну может и не последний, но в репах обновления нет). Версия 3.28.2

Cyber_Hooligan ()
Ответ на: комментарий от Cyber_Hooligan

госпади, открой для себя smplayer

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.